Class | TkTextImage
In: | tk/lib/tk/textimage.rb
Parent: | TkObject

### Methods

[] []= cget configinfo configure current_configinfo id image image= mark new

### Included Modules

TkText::IndexModMethods

### Public Class methods

new(parent, index, keys)

[Source]

    # File tk/lib/tk/textimage.rb, line 10
      def initialize(parent, index, keys)
        #unless parent.kind_of?(TkText)
        #  fail ArgumentError, "expect TkText for 1st argument"
        #end
        @t = parent
        if index == 'end' || index == :end
          @path = TkTextMark.new(@t, tk_call(@t.path, 'index', 'end - 1 chars'))
        elsif index.kind_of? TkTextMark
          if tk_call_without_enc(@t.path,'index',index.path) == tk_call_without_enc(@t.path,'index','end')
            @path = TkTextMark.new(@t, tk_call_without_enc(@t.path, 'index',
                                                           'end - 1 chars'))
          else
            @path = TkTextMark.new(@t, tk_call_without_enc(@t.path, 'index',
                                                           index.path))
          end
        else
          @path = TkTextMark.new(@t, tk_call_without_enc(@t.path, 'index',
                                                         _get_eval_enc_str(index)))
        end
        @path.gravity = 'left'
        @index = @path.path
        @id = tk_call_without_enc(@t.path, 'image', 'create', @index,
                                  *hash_kv(keys, true)).freeze
        @path.gravity = 'right'
      end

### Public Instance methods

[](slot)

[Source]

    # File tk/lib/tk/textimage.rb, line 43
      def [](slot)
        cget(slot)
      end

[]=(slot, value)

[Source]

    # File tk/lib/tk/textimage.rb, line 46
      def []=(slot, value)
        configure(slot, value)
        value
      end

cget(slot)

[Source]

    # File tk/lib/tk/textimage.rb, line 51
      def cget(slot)
        @t.image_cget(@index, slot)
      end

configinfo(slot = nil)

def configure(slot, value)

      tk_call @t.path, 'image', 'configure', @index, "-#{slot}", value

end

[Source]

    # File tk/lib/tk/textimage.rb, line 63
      def configinfo(slot = nil)
        @t.image_configinfo(@index, slot)
      end

configure(slot, value=None)

[Source]

    # File tk/lib/tk/textimage.rb, line 55
      def configure(slot, value=None)
        @t.image_configure(@index, slot, value)
        self
      end

current_configinfo(slot = nil)

[Source]

    # File tk/lib/tk/textimage.rb, line 67
      def current_configinfo(slot = nil)
        @t.current_image_configinfo(@index, slot)
      end

id()

[Source]

    # File tk/lib/tk/textimage.rb, line 36
      def id
        TkText::IndexString.new(@id)
      end

image()

[Source]

    # File tk/lib/tk/textimage.rb, line 71
      def image
        img = tk_call_without_enc(@t.path, 'image', 'cget', @index, '-image')
        TkImage::Tk_IMGTBL[img]? TkImage::Tk_IMGTBL[img] : img
      end

image=(value)

[Source]

    # File tk/lib/tk/textimage.rb, line 76
      def image=(value)
        tk_call_without_enc(@t.path, 'image', 'configure', @index, '-image',
                            _get_eval_enc_str(value))
        #self
        value
      end

mark()

[Source]

    # File tk/lib/tk/textimage.rb, line 39
      def mark
        @path
      end

[Validate]